<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="deliveries-by-delay">

 <lire:title>Deliveries Attempts By Delay Email Report</lire:title>
 <lire:description>
  <para>This report shows the number of deliveries attempts aggregated
   in configurable delay range.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="delay-size" type="duration" default="1s">
   <lire:description>
    <para>This parameter controls the size of the delay ranges over
     which the deliveries are aggregated.
    </para>
   </lire:description>
  </lire:param>
</lire:param-spec>

 <lire:display-spec>
  <lire:title>Deliveries Attempts By Delay</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="delay" range-size="$delay-size"
   size-scale="5" label="Delay">
   <lire:count name="deliveries_total" label="Deliveries"/>
   <lire:count name="deliveries_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

